=== debian/changelog ===
normaliz (3.1.1+ds-1) unstable; urgency=medium

  * New upstream version.
  * Debianization:
    - debian/copyright:
      - Files-Excluded field, improve;
    - debian/control:
      - Standards Version, bump to 3.9.7;
    - debian/rules:
      - dpkg-buildflags, add hardening=+all.

 -- Jerome Benoit <calculus@rezozer.net>  Mon, 11 Apr 2016 23:22:29 +0000

normaliz (3.1.0+ds-1) unstable; urgency=medium

  * New upstream version.
  * Debianization:
    - debian/copyright:
      - Source field, update;
      - X-Upstream-Vcs, clean up;
      - copyright, refresh;
    - debian/control:
      - Homepage field, update;
      - Vcs-*, secure;
    - debian/watch, update;
    - debian/patches, drop off upstream patches which were integrated.

 -- Jerome Benoit <calculus@rezozer.net>  Thu, 18 Feb 2016 05:24:37 +0000
