=== debian/watch ===
version=3
opts=dversionmangle=s/\+ds//,repacksuffix=+ds \
https://www.normaliz.uni-osnabrueck.de/download/all-versions/ .*/Normaliz([\d\.]+)Source\.zip
