## normaliz 3.4.1+ds

=== source/CMakeLists.txt ===
--- 
+++ 
@@ -15,7 +15,7 @@
 # The project name and the type of project
 PROJECT(libnormaliz)
 SET(VERSION_MAJOR 3)
-SET(VERSION_MINOR 1)
+SET(VERSION_MINOR 4)
 SET(VERSION_PATCH 1)
 SET(VERSION_STRING ${VERSION_MAJOR}.${VERSION_MINOR}.${VERSION_PATCH})
 SET(VERSION ${VERSION_STRING})
@@ -147,15 +147,33 @@
 
 
 # handle usage of SCIP
-SET (NMZ_SCIP "NO" CACHE BOOL "Use SCIP")
-IF (NMZ_SCIP)
-  FIND_PACKAGE(SCIP REQUIRED)
-  SET (NMZ_SCIP_FLAGS "-DNMZ_SCIP")
-  INCLUDE_DIRECTORIES(${SCIP_INCLUDE_DIR})
-  MESSAGE(STATUS "Adding to compiler flags NMZ_SCIP_FLAGS=${NMZ_SCIP_FLAGS}")
-  SET (CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${NMZ_SCIP_FLAGS}")
-ENDIF (NMZ_SCIP)
-
+SET (NMZ_SCIP "YES" CACHE BOOL "Use SCIP")
+FIND_PACKAGE(SCIP) # should always be defined
+IF(SCIP_FOUND)
+  IF(NMZ_SCIP)
+    SET (NMZ_SCIP_FLAGS "-DNMZ_SCIP")
+    INCLUDE_DIRECTORIES(${SCIP_INCLUDE_DIR})
+    MESSAGE(STATUS "Adding to compiler flags NMZ_SCIP_FLAGS=${NMZ_SCIP_FLAGS}")
+    SET (CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${NMZ_SCIP_FLAGS}")
+  ENDIF(NMZ_SCIP)
+ELSE(SCIP_FOUND)
+    SET (SCIP_LIBRARY "")
+ENDIF(SCIP_FOUND)
+
+
+# handle use of CoCoALib
+SET (NMZ_COCOA "YES" CACHE BOOL "Use CoCoALib")
+FIND_PACKAGE(COCOA)
+IF(COCOA_FOUND)
+  IF(NMZ_COCOA)
+    SET (NMZ_COCOA_FLAGS "-DNMZ_COCOA -DCoCoA_THREADSAFE_HACK")
+    INCLUDE_DIRECTORIES(${COCOA_INCLUDE_DIR})
+    MESSAGE(STATUS "Adding to compiler flags NMZ_COCOA_FLAGS=${NMZ_CoCOA_FLAGS}")
+    SET (CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${NMZ_COCOA_FLAGS}")
+  ENDIF(NMZ_COCOA)
+ELSE(COCOA_FOUND)
+    SET (COCOA_LIBRARY "")
+ENDIF (COCOA_FOUND)
 
 # find gmp
 FIND_PACKAGE(GMP REQUIRED)
@@ -182,7 +200,7 @@
   IF ( NOT UNIX OR APPLE )
     MESSAGE (FATAL_ERROR "Offload to mic only supported on Linux")
   ENDIF()
-  IF ( NMZ_SCIP )
+  IF ( NMZ_SCIP AND SCIP_FOUND ) 
     MESSAGE (FATAL_ERROR "Simultaneous use of offload and scip not supported")
   ENDIF()
 
@@ -212,7 +230,7 @@
 ADD_SUBDIRECTORY(libnormaliz)
 
 # add the normaliz executable
-ADD_EXECUTABLE (normaliz Normaliz.cpp)
+ADD_EXECUTABLE (normaliz normaliz.cpp)
 
 IF (NMZ_BUILD_STATIC)
   TARGET_LINK_LIBRARIES (normaliz normaliz-static)
@@ -228,14 +246,23 @@
 ENDIF (NMZ_BUILD_STATIC)
 
 #link optional libs
-IF (NMZ_SCIP)
+IF (NMZ_SCIP AND SCIP_FOUND)
   MESSAGE(STATUS "Adding scip libraries to link ${SCIP_LIBRARY}")
   TARGET_LINK_LIBRARIES (normaliz ${SCIP_LIBRARY})
-ENDIF (NMZ_SCIP)
-
+ENDIF (NMZ_SCIP AND SCIP_FOUND)
+
+IF (NMZ_COCOA AND COCOA_FOUND)
+  MESSAGE(STATUS "Adding CoCoA libraries to link ${COCOA_LIBRARY}")
+  TARGET_LINK_LIBRARIES (normaliz ${COCOA_LIBRARY})
+ENDIF (NMZ_COCOA AND COCOA_FOUND)
 
 INSTALL(TARGETS normaliz DESTINATION bin)
 
+SET (NMZ_MAX "YES" CACHE BOOL "Compile with maxsimplex")
+IF (NMZ_MAX)
+    ADD_SUBDIRECTORY(maxsimplex)
+    #TARGET_LINK_LIBRARIES (normaliz maxsimplex) 
+ENDIF (NMZ_MAX)
 
 #custom make targets
 ADD_CUSTOM_TARGET (uninstall @echo uninstall package)
@@ -270,10 +297,18 @@
 IF (UNIX)
   ADD_CUSTOM_COMMAND(
     COMMENT "run tests"
-    COMMAND make --directory=../test/ NORMALIZ=${CMAKE_CURRENT_BINARY_DIR}/normaliz
+    COMMAND make --directory=../test/ -f Makefile.classic NORMALIZ=${CMAKE_CURRENT_BINARY_DIR}/normaliz
     TARGET  check
     DEPENDS normaliz
   )
+  IF(NMZ_COCOA AND COCOA_FOUND)
+      ADD_CUSTOM_COMMAND(
+      COMMENT "run Int tests"
+      COMMAND make --directory=../test/ -f Makefile.classic testInt NORMALIZ=${CMAKE_CURRENT_BINARY_DIR}/normaliz
+      TARGET  check
+      DEPENDS normaliz
+  )
+  ENDIF(NMZ_COCOA AND COCOA_FOUND)
 ELSE(UNIX)
   ADD_CUSTOM_COMMAND(
     COMMENT "check only implemented in unix"
