=== debian/changelog ===
normaliz (3.4.1+ds-2) unstable; urgency=medium

  * Debianization:
    - debian/control:
  		- Breaks+Replaces field, add (Closes: #881883);
    - debian/patches/*:
      - d/p/upstream-test-extremely_sensitive_tests-neutralize.patch,
        introduce and submit (Closes: #881869);
      - d/p/debianization.patch, refresh.

 -- Jerome Benoit <calculus@rezozer.net>  Fri, 17 Nov 2017 15:07:15 +0000

normaliz (3.4.1+ds-1) unstable; urgency=medium

  * New upstream minor version (Closes: #877210).
  * Debianization:
    - debian/copyright, refresh;
    - debian/control:
      - debhelper, bump to 10 (see d/rules);
      - Standards Version, bump to 4.1.1 (no change);
      - discard the debug symbols package libnormaliz0-dbg;
      - Build-Depends-Indep field, neutralize;
    - debian/watch:
      - version, bump to 4;
      - path, refresh to upstream GitHUB site path;
    - debian/rules:
      - debhelper, bump to 10;
      - doc composition, neutralize.

 -- Jerome Benoit <calculus@rezozer.net>  Wed, 15 Nov 2017 06:15:30 +0000
