=== debian/control ===
--- 
+++ 
@@ -4,13 +4,10 @@
 Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Jerome Benoit <calculus@rezozer.net>
 Build-Depends:
- debhelper (>= 9),
- cmake, help2man,
+ debhelper (>= 10), autoconf-archive,
+ help2man,
  libgmp-dev, libboost-dev
-Build-Depends-Indep:
- texlive-latex-base, texlive-latex-recommended, texlive-pictures,
- texlive-fonts-recommended, texlive-fonts-extra
-Standards-Version: 3.9.7
+Standards-Version: 4.1.1
 Homepage: https://www.normaliz.uni-osnabrueck.de/
 Vcs-Git: https://anonscm.debian.org/git/debian-science/packages/normaliz.git
 Vcs-Browser: https://anonscm.debian.org/cgit/debian-science/packages/normaliz.git
@@ -25,7 +22,7 @@
  .
  This dummy package provides the standard installation.
 
-Package: libnormaliz0
+Package: libnormaliz3
 Provides: libnormaliz
 Section: libs
 Architecture: any
@@ -39,13 +36,12 @@
  .
  This package provides the shared libraries required to run programs compiled
  against the Normaliz library. To compile your own programs you also need to
- install the libnormaliz0-dev package.
+ install the libnormaliz-dev package.
 
-Package: libnormaliz0-dev
-Provides: libnormaliz-dev
+Package: libnormaliz-dev
 Section: libdevel
 Architecture: any
-Depends: libnormaliz0 (= ${binary:Version}), libnormaliz0-dev-common (= ${source:Version}), ${misc:Depends}
+Depends: libnormaliz3 (= ${binary:Version}), libnormaliz-dev-common (= ${source:Version}), ${misc:Depends}
 Conflicts: libnormaliz-dev
 Suggests: normaliz-bin (= ${binary:Version})
 Multi-Arch: same
@@ -56,11 +52,13 @@
  This package contains static libraries and symbolic links that developers
  using the Normaliz library will need.
 
-Package: libnormaliz0-dev-common
+Package: libnormaliz-dev-common
 Section: libdevel
 Architecture: all
 Depends: ${misc:Depends}
 Multi-Arch: foreign
+Replaces: libnormaliz0-dev-common
+Breaks: libnormaliz0-dev-common
 Description: math computing tools for affine monoids, rational polytopes and cones - headers
  Normaliz is a mathematical tool for computations in affine monoids, vector
  configurations, lattice polytopes, and rational cones.
@@ -70,7 +68,7 @@
 
 Package: normaliz-bin
 Architecture: any
-Depends: libnormaliz0 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
+Depends: libnormaliz3 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
 Suggests: normaliz-doc (= ${binary:Version})
 Multi-Arch: foreign
 Description: math computing tools for affine monoids, rational polytopes and cones - bin
@@ -78,22 +76,6 @@
  configurations, lattice polytopes, and rational cones.
  .
  This package provides the command line utility normaliz.
-
-Package: libnormaliz0-dbg
-Provides: libnormaliz-dbg
-Section: debug
-Priority: extra
-Architecture: any
-Depends: libnormaliz0 (= ${binary:Version}), ${misc:Depends}
-Conflicts: libnormaliz-dbg
-Suggests: pkg-config
-Multi-Arch: same
-Description: math computing tools for affine monoids, rational polytopes and cones - debug
- Normaliz is a mathematical tool for computations in affine monoids, vector
- configurations, lattice polytopes, and rational cones.
- .
- This package provides the debugging symbols for the libraries from
- the libnormaliz0-dev package.
 
 Package: normaliz-doc
 Section: doc
